Skip to main content
GET
/
api
/
roles
List roles
curl --request GET \
  --url https://api.example.com/api/roles \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "allProjects": true,
      "organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "description": "<string>",
      "idpGroups": [
        "<string>"
      ],
      "projectPermissions": [
        "owner"
      ],
      "projectFilePermissions": [
        {
          "effect": "allow",
          "id": "<string>",
          "actions": [
            "visible"
          ],
          "patterns": "<string>"
        }
      ],
      "groups": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "description": "<string>",
          "project": {
            "name": "<string>"
          },
          "roleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      ],
      "users": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "email": "jsmith@example.com",
          "firstName": "<string>",
          "lastName": "<string>"
        }
      ],
      "organisation": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      }
    }
  ],
  "paginate": {
    "current": 123,
    "from": 123,
    "to": 123,
    "total": 123,
    "pageSize": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.gorules.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Personal access token is obtained through your profile

Query Parameters

Search term to filter roles by name

page
number
default:1

Current page

perPage
number
default:10

Number of items per page

Response

200 - application/json

Paginated list of roles

Paginated list of roles

results
object[]
required

List of roles

paginate
object
required

Pagination metadata